All changes - 9.10.0

Bug

  • [PAM-535] Update postgresql driver to version 42.2.1-jre7
  • [PAM-540] When you want to create a patient for connectathon, the connectathon AA are not available

Story

  • [PAM-539] [CH:XCPD] Update XCPD actors to match the new specifications

Improvement

  • [PAM-534] small fix to statusCode value for PIXv3 newly added patient

All changes - 9.9.2

Bug

  • [PAM-528] PAMRestAPI does not send all attributes for the encounter
  • [PAM-529] Users should be able to create patients with IDs in the Connectathon’s assigning authorities

Dependencies

[INFO] ------------------------------------------------------------------------
[INFO] Building PatientManager 9.10.0
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- gazelle-plugins:1.60:check-dependencies (default-cli) @ PAMSimulator ---
Check dependencies :: All the dependencies are up to date.
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building PAMSimulator - EJB - JAR 9.10.0
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- gazelle-plugins:1.60:check-dependencies (default-cli) @ PAMSimulator-ejb ---
     net.ihe.gazelle.maven                       version            ejb          1.0.3          2.0.0       yes
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building PAMSimulator - WAR 9.10.0
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- gazelle-plugins:1.60:check-dependencies (default-cli) @ PAMSimulator-war ---
Check dependencies :: All the dependencies are up to date.
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building PAMSimulator - EAR 9.10.0
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- gazelle-plugins:1.60:check-dependencies (default-cli) @ PAMSimulator-ear ---
Check dependencies :: All the dependencies are up to date.
[INFO] ------------------------------------------------------------------------

net.ihe.gazelle.maven:version:2.0.0 is not be used only with Jboss8 AS and thus is not used in this version of Patient Manager which still runs under Jboss7 AS.

Remarks

This version of the Patient Manager tool uses the jdbc driver provided by the Jboss7 AS server.